### Hierarchy

- SystemConfig

## Index

### Properties

- componentTypes
- fixed
- methods
- name
- onAddEntity
- onInit
- onRemoveEntity
- onUpdate
- step

## Properties

### componentTypes

componentTypes: string[]

- Defined in utils/interfaces.ts:20

### Optional fixed

fixed: boolean

- Defined in utils/interfaces.ts:21

### Optional methods

methods: __type

- Defined in utils/interfaces.ts:28

### name

name: string

- Defined in utils/interfaces.ts:22

### Optional onAddEntity

onAddEntity: function

- Defined in utils/interfaces.ts:23

#### Type declaration

- - (entity: Entity): void

  - #### Parameters

    - ##### entity: Entity

    #### Returns void

### Optional onInit

onInit: function

- Defined in utils/interfaces.ts:24

#### Type declaration

- - (): void

  - #### Returns void

### Optional onRemoveEntity

onRemoveEntity: function

- Defined in utils/interfaces.ts:25

#### Type declaration

- - (entity: Entity): void

  - #### Parameters

    - ##### entity: Entity

    #### Returns void

### onUpdate

onUpdate: function

- Defined in utils/interfaces.ts:26

#### Type declaration

- - (delta: number): void

  - #### Parameters

    - ##### delta: number

    #### Returns void

### Optional step

step: number

- Defined in utils/interfaces.ts:27